QGIS Application - Bug report #8620
Quantum GIS 1.8 removed after updates in Debian Wheezy
2013-09-16 06:28 PM - Guilherme Ferrari

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No
Operating System: Debian Wheezy Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corruptsdata: Copied to github as #: 17356
Description

Hi. After an update on qgis packages (provided by Quantum GIS stable repository), the Quantum GIS has been removed from the OS.

When trying to re-install it, the following message bellow appears. It seems there is a problem with some of the package version. The
installer looks for qgis-common and qgis-providers (wheezy1.8.0), but apt and aptitude find version 2.0.1 in your repos:

root@Infoway:/etc/apt# apt-get install qgis

Reading package lists... Done

Building dependency tree

Reading state information... Done

Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.

The following information may help to resolve the situation:

The following packages have unmet dependencies:

qgis : Depends: qgis-providers (= 1.8.0-3~wheezy1) but it is not going to be installed
Depends: qgis-common (= 1.8.0-3~wheezy1) but it is not going to be installed
Recommends: qgis-plugin-globe but it is not going to be installed
Recommends: qgis-plugin-grass but it is not going to be installed
Recommends: python-qgis but it is not going to be installed

E: Unable to correct problems, you have held broken packages.

Right now | removed QuantumGIS repository from my computer and | am working using the stable repository provided by Debian, which
packages version 1.7 (wroclaw) and it is working perfectly, but there are features only available at 1.8 that my works depends on.

When trying to install packages manually and individually here's what | get:

1. apt-get install qgis-providers-common
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following NEW packages will be installed:

qgis-providers-common

0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B/1,505 kB of archives.
After this operation, 6,876 kB of additional disk space will be used.
Selecting previously unselected package qgis-providers-common.
(Reading database ... 232479 files and directories currently installed.)
Unpacking qgis-providers-common (from .../qgis-providers-common_2.0.1~wheezy1_all.deb) ...
Setting up qgis-providers-common (2.0.1~wheezy1) ...

1. apt-get install qgis-providers
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
qgis-providers : Depends: qgis-providers-common (= 1.8.0-3~wheezy1) but 2.0.1~wheezy1 is to be installed
E: Unable to correct problems, you have held broken packages.

History

#1 - 2013-09-17 03:41 AM - Mantas Kriaucitinas

Only QGis 1.8.0-3~wheezy1 AMD64 packages are missing in http://qgis.org/debian/pool/main/g/

Please restore QGis 1.8.0-3~wheezy1 AMD64 packages in debian repo

#2 - 2013-09-17 04:09 AM - Guilherme Ferrari

Correct. Due the package changes, Debian understands that as an update. The result is the qgis package removal. It seems not only AMDG64, but also i386

has the same problem. Please, check http://qgis.org/debian/dists/wheezy/main/binary-i386/Packages file and you may notice the following: qgis package

depends on ggis-common (= 1.8.0-3~wheezy1). However the version present in ggis repos is 2.0.1~wheezy1. This conflict breaks the dependency chain.
Or requiriments for ggis is changed to ">= 1.8.0-3~wheezy1" s0 2.0.1 is accepted OR the 1.8 packages need to be restores. Please notice that
qgis-common is just an example. It seems there are others unmet dependencies (such as qgis-providers, among others). Thanks a lot.

Package: *qgis*

Version: 1.8.0-3~wheezy1

Architecture: i386

Maintainer: Quantum GIS developers <qgis-developer@lists.osgeo.org>

Installed-Size: 10611

Depends: libcb (>=2.4), libgcc1 (>= 1:4.1.1), libgdal1 (>= 1.9.0), libgeos-c1 (>= 3.3.3), libgslOldbl (>= 1.9), libpg5, libprojo, libqgis1.8.0,
libgt4-network (>= 4:4.5.3), libqt4-sql (>= 4:4.5.3), libqt4-svg (>= 4:4.5.3), libgt4-xml (>= 4:4.5.3), libgtcore4 (>= 4:4.8.0), libgtgui4 (>= 4:4.8.0),
libatwebkit4 (>= 2.1.0~2011week13), libqwt6, libspatialindex1, libspatialite3 (>= 3.0.0~beta20110817), libsqlite3-0 (>= 3.5.9), libstdc++6 (>= 4.6),
qgis-providers (= 1.8.0-3~wheezy1), *qgis-common (= 1.8.0-3~wheezy1)*

()

Package: qgis-common

Source: qgis

Version: *2.0.1~wheezy1*

Architecture: all

Maintainer: QGIS developers <qgis-developer@lists.osgeo.org>

Installed-Size: 41148

Homepage: http://qgis.org/

Priority: extra

Section: science

Filename: pool/main/qg/qgis/qgis-common_2.0.1~wheezy1_all.deb
http://qgis.org/debian/pool/main/q/
http://qgis.org/debian/dists/wheezy/main/binary-i386/Packages

#3 - 2013-09-18 08:40 AM - Hugh Pumphrey

The breakdown of which packages are at 2.0.1 and which still at 1.8.0 is as follows, as far as | can tell:

Still at 1.8.0-3:

python-qgis
libggis-dev
qgis-mapserver
qgis-sqlanywhere
qagis
qgis-plugin-globe
qgis-plugin-grass
qgis-providers

Gone up to 2.0.1_wheezy1:
python-qgis-common
qgis-plugin-globe-common
qgis-plugin-grass-common
qgis-providers-common
qgis-api-doc

Vanished:

libggis1.8.0

#4 - 2013-09-23 03:53 PM - Guilherme Ferrari

Please, does anyone knows if packaging for Quantum GIS for Debian (i386 architecture) is discontinued? Currently qgis, qgis-common and qgis-providers

2.0.1 packages are essentially missing in the repositories for wheezy i386. Unmet dependencies also make it impossible to install previous 1.8 version.

#5 - 2013-09-23 11:27 PM - Giovanni Manghi

Guilherme Ferrari wrote:

Please, does anyone knows if packaging for Quantum GIS for Debian (i386 architecture) is discontinued? Currently qgis, qgis-common and
qgis-providers 2.0.1 packages are essentially missing in the repositories for wheezy i386. Unmet dependencies also make it impossible to install

previous 1.8 version.

better ask on the developer mailing list.

#6 - 2013-09-24 01:30 PM - Jiirgen Fischer
- Status changed from Open to Feedback

recheck please
#7 - 2013-09-25 12:48 PM - Guilherme Ferrari

- Status changed from Feedback to Closed

- % Done changed from 0 to 100

QGIS 2.0.1 was successfully installed in Debian Wheezy i386 after updates via qgis.org repositories.

Thanks a lot for the support and effort.

By the way: this version is beautiful!

#8 - 2013-09-25 01:14 PM - Juirgen Fischer
- Resolution set to fixed
